Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt
Class CallbackPrintWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--java.io.PrintWriter
                  |
                  +--com.bea.wlxt.CallbackPrintWriter

Direct Known Subclasses:
  CallbackLineWriter

public class CallbackPrintWriter
extends java.io.PrintWriter

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`CallbackPrintWriter(CallbackHandler callback)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(char[] c)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(java.lang.Object obj)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `println(boolean b)`
`void` | `println(char c)`
`void` | `println(char[] c)`
`void` | `println(double d)`
`void` | `println(float f)`
`void` | `println(int i)`
`void` | `println(long l)`
`void` | `println(java.lang.Object obj)`
`void` | `println(java.lang.String s)`
`void` | `write(char[] buf)`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(int i)`
`void` | `write(java.lang.String s)`
`void` | `write(java.lang.String s, int off, int len)`

Methods inherited from class java.io.PrintWriter
`checkError, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallbackPrintWriter

    public CallbackPrintWriter(CallbackHandler callback)

Method Detail

### close

    public void close()

  Overrides:
    close in class java.io.PrintWriter

### flush

    public void flush()

  Overrides:
    flush in class java.io.PrintWriter

### print

    public void print(boolean b)

  Overrides:
    print in class java.io.PrintWriter

### print

    public void print(char c)

  Overrides:
    print in class java.io.PrintWriter

### print

    public void print(char[] c)

  Overrides:
    print in class java.io.PrintWriter

### print

    public void print(double d)

  Overrides:
    print in class java.io.PrintWriter

### print

    public void print(float f)

  Overrides:
    print in class java.io.PrintWriter

### print

    public void print(int i)

  Overrides:
    print in class java.io.PrintWriter

### print

    public void print(java.lang.Object obj)

  Overrides:
    print in class java.io.PrintWriter

### print

    public void print(java.lang.String s)

  Overrides:
    print in class java.io.PrintWriter

### print

    public void print(long l)

  Overrides:
    print in class java.io.PrintWriter

### println

    public void println()

  Overrides:
    println in class java.io.PrintWriter

### println

    public void println(boolean b)

  Overrides:
    println in class java.io.PrintWriter

### println

    public void println(char c)

  Overrides:
    println in class java.io.PrintWriter

### println

    public void println(char[] c)

  Overrides:
    println in class java.io.PrintWriter

### println

    public void println(double d)

  Overrides:
    println in class java.io.PrintWriter

### println

    public void println(float f)

  Overrides:
    println in class java.io.PrintWriter

### println

    public void println(int i)

  Overrides:
    println in class java.io.PrintWriter

### println

    public void println(java.lang.Object obj)

  Overrides:
    println in class java.io.PrintWriter

### println

    public void println(java.lang.String s)

  Overrides:
    println in class java.io.PrintWriter

### println

    public void println(long l)

  Overrides:
    println in class java.io.PrintWriter

### write

    public void write(char[] buf)

  Overrides:
    write in class java.io.PrintWriter

### write

    public void write(int i)

  Overrides:
    write in class java.io.PrintWriter

### write

    public void write(java.lang.String s)

  Overrides:
    write in class java.io.PrintWriter

### write

    public void write(char[] buf,
                      int off,
                      int len)

  Overrides:
    write in class java.io.PrintWriter

### write

    public void write(java.lang.String s,
                      int off,
                      int len)

  Overrides:
    write in class java.io.PrintWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)